Package com.emc.documentum.rest.config

# Enum Class SanitizerConfig

java.lang.Object
java.lang.Enum<SanitizerConfig>
com.emc.documentum.rest.config.SanitizerConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<SanitizerConfig>`, `Constable`

public enum SanitizerConfig extends Enum<SanitizerConfig>
The runtime configuration for sanitizer settings where the settings are loaded from the classpath resource 'rest-api-sanitizer-config.properties'.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of `SanitizerConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `defaultSanitizeContentCharset()`
  The default charset/encoding of the html content.
  `boolean`
  `isSanitizeContent()`
  Whether sanitize the html content
  `boolean`
  `isSanitizeMetadata()`
  Whether sanitize the object metadata
  `int`
  `maxSanitizeContentSize()`
  The max html content size to be sanitized.
  `String`
  `sanitizeContentFormat()`
  The content format which need be sanitized
  `static SanitizerConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SanitizerConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final SanitizerConfig INSTANCE
    The singleton instance of `SanitizerConfig`

- ## Method Details

  - ### values

    public static SanitizerConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SanitizerConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isSanitizeMetadata

    public boolean isSanitizeMetadata()
    Whether sanitize the object metadata
    Returns:
      `true` if the object metadata will be sanitized

  - ### isSanitizeContent

    public boolean isSanitizeContent()
    Whether sanitize the html content
    Returns:
      `true` if the html content will be sanitized

  - ### maxSanitizeContentSize

    public int maxSanitizeContentSize()
    The max html content size to be sanitized. If the content size is larger than it, the content will not be sanitized.
    Returns:
      the max sanitize content size

  - ### defaultSanitizeContentCharset

    public String defaultSanitizeContentCharset()
    The default charset/encoding of the html content.
    Returns:
      the default charset

  - ### sanitizeContentFormat

    public String sanitizeContentFormat()
    The content format which need be sanitized
    Returns:
      the content format need be sanitized